(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 9.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1063,         20]
NotebookDataLength[     13933,        360]
NotebookOptionsPosition[     14051,        345]
NotebookOutlinePosition[     14479,        362]
CellTagsIndexPosition[     14436,        359]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Il problema di Cauchy per equazioni differenziali lineari omogenee del \
secondo ordine a coefficienti costanti\
\>", "Subsection",
 CellChangeTimes->{{3.63815937733311*^9, 3.638159420298114*^9}, {
  3.638247302531934*^9, 3.63824731547186*^9}}],

Cell[TextData[{
 "Riferimento :\nG.C. Barozzi, G. Dore, E. Obrecht :\n",
 StyleBox["Elementi di Analisi Matematica, Vol. 1",
  FontWeight->"Bold"],
 "\nZanichelli Editore, Bologna (2009), ISBN 978-88-08-06255-0 \nSezione 8.3, \
Figura 8.3.1"
}], "Text",
 CellChangeTimes->{
  3.412533299224777*^9, {3.629029150031747*^9, 3.6290291535655947`*^9}, 
   3.629264058752448*^9, {3.629264138932662*^9, 3.629264139994092*^9}, {
   3.6292643603333187`*^9, 3.629264367313686*^9}, {3.6328930760162687`*^9, 
   3.632893101390934*^9}, {3.634711786363159*^9, 3.6347117924356613`*^9}, {
   3.634711889685194*^9, 3.634711892459059*^9}, {3.6382477349927263`*^9, 
   3.6382477727897367`*^9}, {3.6382719003305397`*^9, 3.638271925937543*^9}, {
   3.6382773219450893`*^9, 3.638277322790086*^9}, {3.6389347843284807`*^9, 
   3.638934785199451*^9}}],

Cell["\<\
Data l' equazione differenziale lineare omogenea del secondo ordine a \
coefficienti costanti\
\>", "Text",
 CellChangeTimes->{{3.6382467819103003`*^9, 3.638246849578848*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"\t\t", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"y", "''"}], "+", 
      RowBox[{
       SubscriptBox["a", "1"], 
       RowBox[{"y", "'"}]}], "+", 
      SubscriptBox["a", "0"]}], "=", "0"}], ","}]}], 
  TraditionalForm]], "Input",
 CellChangeTimes->{{3.638934935571944*^9, 3.6389349359202127`*^9}}],

Cell["con le condizioni iniziali", "Text",
 CellChangeTimes->{3.638246927697792*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"\t\t", 
   RowBox[{
    RowBox[{
     RowBox[{"y", "(", "0", ")"}], " ", "=", " ", 
     SubscriptBox["y", "0"]}], ",", "        ", 
    RowBox[{
     RowBox[{
      RowBox[{"y", "'"}], 
      RowBox[{"(", "0", ")"}]}], " ", "=", " ", 
     SubscriptBox["y", "1"]}], "  ", ","}]}], TraditionalForm]], "Input",
 CellChangeTimes->{{3.6389349506482067`*^9, 3.638934950906341*^9}}],

Cell["\<\
se ne determina la soluzione e si traccia la parte del suo grafico contenuta \
nel rettangolo [ 0, 8 ] x [ \[Dash]3, 3 ].\
\>", "Text",
 CellChangeTimes->{{3.638247043258196*^9, 3.638247099462345*^9}, {
  3.638270861894169*^9, 3.638270932097636*^9}, {3.638271648766334*^9, 
  3.638271649540719*^9}, {3.638271781414098*^9, 3.6382717816074*^9}, {
  3.638271861220154*^9, 3.6382718655585337`*^9}, {3.6382766759052763`*^9, 
  3.638276696254751*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a0$$ = 2.5, $CellContext`a1$$ = 
    0.5, $CellContext`y0$$ = 0.1, $CellContext`y1$$ = 0.8999999999999999, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a0$$], 0.}, -5., 5., 0.5}, {{
       Hold[$CellContext`a1$$], 0.}, -5., 5., 0.5}, {{
       Hold[$CellContext`y0$$], 0}, -2., 2., 0.1}, {{
       Hold[$CellContext`y1$$], 0}, -2., 2., 0.1}}, Typeset`size$$ = {
    360., {108., 113.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`a0$3048$$ = 
    0, $CellContext`a1$3049$$ = 0, $CellContext`y0$3050$$ = 
    0, $CellContext`y1$3051$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a0$$ = 0., $CellContext`a1$$ = 
        0., $CellContext`y0$$ = 0, $CellContext`y1$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a0$$, $CellContext`a0$3048$$, 0], 
        Hold[$CellContext`a1$$, $CellContext`a1$3049$$, 0], 
        Hold[$CellContext`y0$$, $CellContext`y0$3050$$, 0], 
        Hold[$CellContext`y1$$, $CellContext`y1$3051$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`sol[$CellContext`a1$$, $CellContext`a0$$]; \
$CellContext`v[
          Pattern[$CellContext`t$, 
           
           Blank[]]] := $CellContext`y[$CellContext`a1$$, $CellContext`a0$$, \
$CellContext`t$]; $CellContext`w[
          Pattern[$CellContext`t$, 
           Blank[]]] := ReplaceAll[
          $CellContext`v[$CellContext`t$], 
          First[
           
           Solve[{$CellContext`v[0] == $CellContext`y0$$, 
             Derivative[1][$CellContext`v][
              0] == $CellContext`y1$$}, {$CellContext`c1, $CellContext`c2}]]]; 
       Plot[
         $CellContext`w[$CellContext`t], {$CellContext`t, 0, 8}, 
         PlotStyle -> {Red}, PlotRange -> {{-1, 8}, {-3, 3}}, Axes -> True, 
         AxesStyle -> Arrowheads[0.02], Ticks -> {
           Range[0, 8], 
           Range[-2, 2]}, TicksStyle -> Directive[FontFamily -> "Times"], 
         Epilog -> {Blue, 
           Line[{{
              Cos[
               ArcTan[$CellContext`y1$$]], $CellContext`y0$$ + Sin[
                ArcTan[$CellContext`y1$$]]}, {-Cos[
                ArcTan[$CellContext`y1$$]], $CellContext`y0$$ - Sin[
               ArcTan[$CellContext`y1$$]]}}]}]), 
      "Specifications" :> {{{$CellContext`a0$$, 0.}, -5., 5., 
         0.5}, {{$CellContext`a1$$, 0.}, -5., 5., 
         0.5}, {{$CellContext`y0$$, 0}, -2., 2., 
         0.1}, {{$CellContext`y1$$, 0}, -2., 2., 0.1}}, 
      "Options" :> {ControlPlacement -> {Top, Top, Bottom, Bottom}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{405., {196., 201.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`sol[
         Pattern[$CellContext`a1, 
          Blank[]], 
         Pattern[$CellContext`a0, 
          Blank[]]] := 
       Which[$CellContext`a1^2 - 4 $CellContext`a0 > 
         0, {(-$CellContext`a1 + Sqrt[$CellContext`a1^2 - 4 $CellContext`a0])/
          2, (-$CellContext`a1 - Sqrt[$CellContext`a1^2 - 4 $CellContext`a0])/
          2}, $CellContext`a1^2 - 4 $CellContext`a0 == 
         0, {(-$CellContext`a1)/2}, $CellContext`a1^2 - 4 $CellContext`a0 < 
         0, {
          
          Re[(-$CellContext`a1 + Sqrt[$CellContext`a1^2 - 4 $CellContext`a0])/
           2], 
          
          Im[(-$CellContext`a1 + Sqrt[$CellContext`a1^2 - 4 $CellContext`a0])/
           2]}], $CellContext`v[
         Pattern[$CellContext`t$, 
          Blank[]]] := $CellContext`y[FE`a1$$11, FE`a0$$11, $CellContext`t$], 
       Attributes[$CellContext`t$] = {Temporary}, $CellContext`y[
         Pattern[$CellContext`a1, 
          Blank[]], 
         Pattern[$CellContext`a0, 
          Blank[]], 
         Pattern[$CellContext`t, 
          Blank[]]] := 
       Which[$CellContext`a1^2 - 4 $CellContext`a0 > 
         0, $CellContext`c1 Exp[First[
              $CellContext`sol[$CellContext`a1, $CellContext`a0]] \
$CellContext`t] + $CellContext`c2 Exp[Last[
              $CellContext`sol[$CellContext`a1, $CellContext`a0]] \
$CellContext`t], $CellContext`a1^2 - 4 $CellContext`a0 == 
         0, $CellContext`c1 Exp[First[
              $CellContext`sol[$CellContext`a1, $CellContext`a0]] \
$CellContext`t] + ($CellContext`c2 $CellContext`t) Exp[First[
              $CellContext`sol[$CellContext`a1, $CellContext`a0]] \
$CellContext`t], $CellContext`a1^2 - 4 $CellContext`a0 < 
         0, ($CellContext`c1 Exp[First[
               $CellContext`sol[$CellContext`a1, $CellContext`a0]] \
$CellContext`t]) Cos[Last[
              $CellContext`sol[$CellContext`a1, $CellContext`a0]] \
$CellContext`t] + ($CellContext`c2 Exp[First[
               $CellContext`sol[$CellContext`a1, $CellContext`a0]] \
$CellContext`t]) Sin[Last[
              $CellContext`sol[$CellContext`a1, $CellContext`a0]] \
$CellContext`t]], FE`a1$$11 = 0., FE`a0$$11 = 0., $CellContext`w[
         Pattern[$CellContext`t$, 
          Blank[]]] := ReplaceAll[
         $CellContext`v[$CellContext`t$], 
         First[
          
          Solve[{$CellContext`v[0] == FE`y0$$11, 
            Derivative[1][$CellContext`v][0] == 
            FE`y1$$11}, {$CellContext`c1, $CellContext`c2}]]], FE`y0$$11 = 0, 
       Attributes[Derivative] = {NHoldAll, ReadProtected}, FE`y1$$11 = 0}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.638246493018265*^9, 3.6382465436702433`*^9, {3.638246594200076*^9, 
   3.638246644543841*^9}, 3.638246723365417*^9, 3.638247515486314*^9, {
   3.638270636574314*^9, 3.6382706449831057`*^9}, 3.638270730753777*^9, 
   3.638270775438387*^9, {3.638270817626092*^9, 3.638270826033856*^9}, 
   3.638270968318964*^9, 3.638271282137698*^9, {3.638271346243697*^9, 
   3.638271356682246*^9}, 3.638271424101325*^9, 3.638271567177596*^9, 
   3.638271670361147*^9, 3.6382767753722878`*^9, 3.638277102524599*^9, {
   3.6382772098672953`*^9, 3.63827721702636*^9}, 3.638277307812058*^9, 
   3.6383294425128937`*^9, 3.638329939958173*^9, 3.638934561763207*^9}],

Cell[TextData[{
 "Si suggerisce di attivare i pulsanti contrassegnati dal segno + a destra \
delle barre di scorrimento.\nMediante i controlli in alto, scegliere i \
coefficienti ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["a", "1"], TraditionalForm]]],
 " e ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["a", "0"], TraditionalForm]]],
 "; sono disponibili i valori interi e semi-interi \
dell\[CloseCurlyQuote]intervallo [ \[Dash]5, 5 ]. \nScelta cos\[IGrave] l\
\[CloseCurlyQuote]equazione differenziale, si pu\[OGrave] animare il grafico \
della soluzione fissando ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["y", "0"], TraditionalForm]]],
 " e facendo variare  ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["y", "1"], TraditionalForm]]],
 ", oppure viceversa. Si suggerisce l\[CloseCurlyQuote]uso dei tasti  +  e  \
\[Dash] .\nSi consiglia di esplorare i seguenti casi:"
}], "Text",
 CellChangeTimes->{{3.638247102778985*^9, 3.638247285882575*^9}, 
   3.638247850509844*^9, {3.6382709371222153`*^9, 3.6382709590727987`*^9}, {
   3.638271532316063*^9, 3.638271549720846*^9}, 3.638271795207058*^9, {
   3.6382718476704283`*^9, 3.638271892786913*^9}, {3.638277050331937*^9, 
   3.638277053512526*^9}, {3.638328806487146*^9, 3.638328836335929*^9}, {
   3.638330259007249*^9, 3.638330259737446*^9}, {3.6389345958220053`*^9, 
   3.6389346205850773`*^9}, {3.638935029304214*^9, 3.638935031757044*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"\t", 
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["a", "1"], " ", "=", "  ", 
      RowBox[{
       SubscriptBox["a", 
        RowBox[{"0", "  "}]], "=", " ", "0"}]}], ";", "         ", 
     RowBox[{
      SubscriptBox["a", "1"], " ", "=", "0"}]}], ",", "   ", 
    RowBox[{
     RowBox[{
      SubscriptBox["a", 
       RowBox[{"0", "  "}]], ">", " ", "0"}], ";", "       ", 
     RowBox[{
      SubscriptBox["a", "1"], " ", "=", "  ", "0"}]}], ",", " ", 
    RowBox[{
     RowBox[{
      SubscriptBox["a", 
       RowBox[{"0", "  "}]], "<", " ", "0"}], ";"}]}]}], 
  TraditionalForm]], "Input",
 CellChangeTimes->{3.638934994105913*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"\t", 
   RowBox[{
    RowBox[{
     SubscriptBox["a", "1"], " ", "=", "  ", "0.5"}], ",", "    ", 
    RowBox[{
     RowBox[{
      SubscriptBox["a", 
       RowBox[{"0", "  "}]], "\[GreaterEqual]", " ", "1"}], ";", 
     "            ", 
     RowBox[{
      SubscriptBox["a", "1"], " ", "=", "  ", "0.5"}]}], ",", "    ", 
    RowBox[{
     RowBox[{
      SubscriptBox["a", 
       RowBox[{"0", "  "}]], "\[LessEqual]", " ", "1"}], ";"}]}]}], 
  TraditionalForm]], "Input",
 CellChangeTimes->{3.638934996011804*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"\t", 
   RowBox[{
    RowBox[{
     SubscriptBox["a", "1"], " ", "=", "  ", 
     RowBox[{"-", "0.5"}]}], ",", "    ", 
    RowBox[{
     RowBox[{
      SubscriptBox["a", 
       RowBox[{"0", "  "}]], "\[GreaterEqual]", " ", "1"}], ";", "        ", 
     RowBox[{
      SubscriptBox["a", "1"], " ", "=", "  ", 
      RowBox[{"-", "0.5"}]}]}], ",", "    ", 
    RowBox[{
     SubscriptBox["a", 
      RowBox[{"0", "  "}]], "\[LessEqual]", " ", "1."}]}]}], 
  TraditionalForm]], "Input",
 CellChangeTimes->{3.638934997439767*^9}]
}, Open  ]]
},
WindowSize->{808, 911},
WindowMargins->{{20, Automatic}, {Automatic, 44}},
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (January 25, \
2013)",
StyleDefinitions->FrontEnd`FileName[{"Report"}, "AutomatedReport.nb", 
  CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1485, 35, 254, 5, 65, "Subsection"],
Cell[1742, 42, 826, 15, 106, "Text"],
Cell[2571, 59, 185, 4, 30, "Text"],
Cell[2759, 65, 348, 12, 20, "Input"],
Cell[3110, 79, 84, 1, 30, "Text"],
Cell[3197, 82, 412, 12, 20, "Input"],
Cell[3612, 96, 455, 8, 30, "Text"],
Cell[4070, 106, 6754, 138, 406, "Output"],
Cell[10827, 246, 1398, 31, 129, "Text"],
Cell[12228, 279, 688, 23, 20, "Input"],
Cell[12919, 304, 551, 18, 20, "Input"],
Cell[13473, 324, 562, 18, 20, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature IuphQdK7Dr6WvCg7x0wXwQJA *)
